Workforce
curl --request GET \
--url https://api.companyenrich.com/companies/workforce \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.companyenrich.com/companies/workforce', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/companies/workforce"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123,
"history": [
{
"date": "2023-12-25",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Company · Enrichment
Workforce
Cost: 5 credits per successful call
Returns workforce insights for a single company.
You must provide exactly one lookup parameter: id or domain.
The response includes observed employee count, an employee range bucket, and headcounts grouped by root departments.
GET
/
companies
/
workforce
Workforce
curl --request GET \
--url https://api.companyenrich.com/companies/workforce \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.companyenrich.com/companies/workforce', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/companies/workforce"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123,
"history": [
{
"date": "2023-12-25",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Query Parameters
Response
OK